package com.yfd.platform.modules.basedata.controller;

import com.yfd.platform.annotation.Log;
import com.yfd.platform.config.ResponseResult;
import com.yfd.platform.modules.basedata.domain.FaultDevice;
import com.yfd.platform.modules.basedata.service.IFaultDeviceService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author zhengsl
 * @since 2025-05-12
 */
@RestController
@RequestMapping("/basedata/fault-device")
public class FaultDeviceController {

    @Resource
    private IFaultDeviceService faultDeviceService;

    @Log(module = "故障检测", value = "新增故障信息", type = "1")
    @PostMapping("/batchAddFaultDevice")
    @ApiOperation("新增故障信息")
    public ResponseResult batchAddFaultDevice(@RequestBody List<FaultDevice> faultDevices) {

        boolean isOk = faultDeviceService.batchAddFaultDevice(faultDevices);
        if (isOk) {
            return ResponseResult.success();
        }
        return ResponseResult.error();
    }

}
